You are not logged in.

#26 2013-08-05 09:33:37

djszapi
Member
From: Cambridge, United Kingdom
Registered: 2009-06-14
Posts: 1,439
Website

Re: KDE Frameworks 5 packages

What do you mean by 'does not seem to work"?

Offline

#27 2013-08-06 15:11:56

ChALkeR
Member
Registered: 2010-10-27
Posts: 63

Re: KDE Frameworks 5 packages

I mean that the server was down. It's ok now.

Offline

#28 2013-08-07 16:16:10

colemickens
Member
From: Seattle, WA, USA
Registered: 2013-05-16
Posts: 23
Website

Re: KDE Frameworks 5 packages

Can I safely use this along with [kde-unstable]?

Offline

#29 2013-08-11 19:07:10

vova7890
Member
Registered: 2012-02-26
Posts: 7

Re: KDE Frameworks 5 packages

Hi, i`m trying to test it on my system, but can`t run %)

[vova7890@localhost ~]$ ./kde5start 
kdeinit5: Shutting down running client.
Could not find drkonqi at /opt/kf5/lib/kde5/libexec/drkonqi 
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
plasma-shell: error while loading shared libraries: libkde4support.so.5: cannot open shared object file: No such file or directory
[vova7890@localhost ~]$ XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":0"
      after 15 requests (15 known processed) with 0 events remaining.

And similar for other libs, okay, i`m maked symlinks:

[root@localhost vova7890]# ln -s /opt/kf5/lib/libKI18n.so.5 /opt/kf5/libki18n.so.5
[root@localhost vova7890]# ln -s /opt/kf5/lib/libKI18n.so.5 /opt/kf5/lib/libki18n.so.5
[root@localhost vova7890]# ln -s /opt/kf5/lib/libKIOCore.so.5 /opt/kf5/lib/libkiocore.so.5
[root@localhost vova7890]# ln -s /opt/kf5/lib/libKW /opt/kf5/lib/libkwidgets.so.5
[root@localhost vova7890]# ln -s /opt/kf5/lib/libKWidgets.so.5 /opt/kf5/lib/libkwidgets.so.5

But, it cant resolve symbol:

[vova7890@localhost ~]$ ./kde5start 
kdeinit5: Shutting down running client.
klauncher: Exiting on signal 15
Could not find drkonqi at /opt/kf5/lib/kde5/libexec/drkonqi 
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
plasma-shell: symbol lookup error: /opt/kf5/lib/libplasma.so.5: undefined symbol: _ZN12ThreadWeaver3Job7executeEPNS_6ThreadE
XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":0"
      after 15 requests (15 known processed) with 0 events remaining.

What i`m doing wrong?

Offline

#30 2013-08-14 09:31:09

bhush
Member
Registered: 2013-05-01
Posts: 7

Re: KDE Frameworks 5 packages

Any plans to build for 32 bit?


The problem is not the problem, Problem is your attitude about the problem.

-Captain Jack Sparrow

Offline

#31 2013-08-14 18:31:05

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 567
Website

Re: KDE Frameworks 5 packages

colemickens wrote:

Can I safely use this along with [kde-unstable]?

Yes.
Anyway kde-unstable will be empty tomorrow (KDE 4.11 gets released).

vova7890 wrote:

What i`m doing wrong?

I'm not sure what is wrong here.
Anyway I'll rebuild kdelibs and plasma packages soon. Or try to build them yourself and see if that helps.

bhush wrote:

Any plans to build for 32 bit?

No.
I host my PKGBUILDs on AUR, so everybody can do that.

Offline

#32 2014-01-06 11:44:47

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 567
Website

Re: KDE Frameworks 5 packages

KF5 packages are available again! Enjoy!

Offline

#33 2014-01-06 19:40:04

stavallo
Member
Registered: 2010-05-28
Posts: 34

Re: KDE Frameworks 5 packages

I have setup a repository for the x86_64 architecture. To enable this repo, add the following lines to /etc/pacman.conf:

[kf5]
SigLevel = Optional Optional 
Server = http://wpage.unina.it/stavallo/$repo/$arch

To install all the necessary packages (and their dependencies), install the "kf5-meta-git" metapackage.

Last edited by stavallo (2014-01-10 16:14:29)

Offline

#34 2014-01-06 22:45:18

smlb
Member
From: /dev/null
Registered: 2013-05-20
Posts: 49
Website

Re: KDE Frameworks 5 packages

Well done!

Offline

#35 2014-01-07 15:09:09

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 567
Website

Re: KDE Frameworks 5 packages

"stable" packages are available too.

BTW, I'm orpahining -git packages.

Please @stavallo push the kf5-meta package on AUR

Offline

#36 2014-01-07 16:58:25

sl1pkn07
Member
From: Spanishtán
Registered: 2010-03-30
Posts: 314

Re: KDE Frameworks 5 packages

in the list, please change kf5-polkit to kf5-polkit-git (kf5-polkit no available in AUR)

Offline

#37 2014-01-07 17:10:02

mangus
Member
From: Bologna, Italy
Registered: 2007-04-07
Posts: 289

Re: KDE Frameworks 5 packages

I will not try this for now as Im busy , but I wanna say thanks to Andrea for his impressive work and everyone involved.
Cheers

Offline

#38 2014-01-07 17:26:05

dalingrin
Member
Registered: 2009-03-18
Posts: 125

Re: KDE Frameworks 5 packages

Probably something on my end but I can only get it to boot to a blue background with a blank panel. It has constant seg faults and kwin is not running.
I started it by setting the environment variables in a script as seen in the OP. Then I created a session for GDM that launches that script.

I do not have [Testing] enabled and I'm using NVIDIA proprietary drivers. This is with stavallo's repo.

Last edited by dalingrin (2014-01-07 17:27:13)

Offline

#39 2014-01-07 17:28:53

sl1pkn07
Member
From: Spanishtán
Registered: 2010-03-30
Posts: 314

Re: KDE Frameworks 5 packages

Stops in plasma-framework, like I say in AUR (http://sl1pkn07.no-ip.com/paste/view/68c01a8c)

greetings

Offline

#40 2014-01-07 17:33:58

stavallo
Member
Registered: 2010-05-28
Posts: 34

Re: KDE Frameworks 5 packages

scarpino wrote:

"stable" packages are available too.

BTW, I'm orpahining -git packages.

If you want, I can adopt -git packages

scarpino wrote:

Please @stavallo push the kf5-meta package on AUR

Pushed kf5-meta-git to AUR.

I just uploaded a new version of all the packages to my kf5 repo. Please note that the meta package is now called kf5-meta-git.

Offline

#41 2014-01-07 17:42:29

stavallo
Member
Registered: 2010-05-28
Posts: 34

Re: KDE Frameworks 5 packages

dalingrin wrote:

Probably something on my end but I can only get it to boot to a blue background with a blank panel. It has constant seg faults and kwin is not running.
I started it by setting the environment variables in a script as seen in the OP. Then I created a session for GDM that launches that script.

Please update to the latest build of kf5 packages (note that the meta package is now named kf5-meta-git) and see if the issue is still there.
If so, please try to remove plasma-nm-git and see if the panel appears correctly. If the issue disappears, I will remove plasma-nm-git from among the dependencies of kf5-meta-git

dalingrin wrote:

I do not have [Testing] enabled and I'm using NVIDIA proprietary drivers. This is with stavallo's repo.

That should be fine, as I am building against core/extra

Offline

#42 2014-01-07 19:58:13

dalingrin
Member
Registered: 2009-03-18
Posts: 125

Re: KDE Frameworks 5 packages

stavallo wrote:
dalingrin wrote:

Probably something on my end but I can only get it to boot to a blue background with a blank panel. It has constant seg faults and kwin is not running.
I started it by setting the environment variables in a script as seen in the OP. Then I created a session for GDM that launches that script.

Please update to the latest build of kf5 packages (note that the meta package is now named kf5-meta-git) and see if the issue is still there.
If so, please try to remove plasma-nm-git and see if the panel appears correctly. If the issue disappears, I will remove plasma-nm-git from among the dependencies of kf5-meta-git

dalingrin wrote:

I do not have [Testing] enabled and I'm using NVIDIA proprietary drivers. This is with stavallo's repo.

That should be fine, as I am building against core/extra

Hmm, trying to install kf5-meta-git from your repo puts me in dependency hell:

resolving dependencies...
:: The following package cannot be upgraded due to unresolvable dependencies:
      kf5-meta-git

:: kf5-meta-git: requires libdbusmenu-qt5
:: knotifications-git: requires libdbusmenu-qt5
:: kf5-meta-git: requires knotifications-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kf5-meta-git: requires kio-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kdeclarative-git: requires kio-git
:: kf5-meta-git: requires kdeclarative-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kinit-git: requires kio-git
:: kf5-meta-git: requires kinit-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kinit-git: requires kio-git
:: kded-git: requires kinit-git
:: kf5-meta-git: requires kded-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: kf5-meta-git: requires kparts-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: kdewebkit-git: requires kparts-git
:: kf5-meta-git: requires kdewebkit-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kdesignerplugin-git: requires kio-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: kdewebkit-git: requires kparts-git
:: kdesignerplugin-git: requires kdewebkit-git
:: kf5-meta-git: requires kdesignerplugin-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: kmediaplayer-git: requires kparts-git
:: kf5-meta-git: requires kmediaplayer-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: kprintutils-git: requires kparts-git
:: kf5-meta-git: requires kprintutils-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: kross-git: requires kparts-git
:: kf5-meta-git: requires kross-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kde4support-git: requires kio-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kdesignerplugin-git: requires kio-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: kdewebkit-git: requires kparts-git
:: kdesignerplugin-git: requires kdewebkit-git
:: kde4support-git: requires kdesignerplugin-git
:: kf5-meta-git: requires kde4support-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kfileaudiopreview-git: requires kio-git
:: kf5-meta-git: requires kfileaudiopreview-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: knewstuff-git: requires kio-git
:: kf5-meta-git: requires knewstuff-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: knotifyconfig-git: requires kio-git
:: kf5-meta-git: requires knotifyconfig-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: frameworkintegration-git: requires kio-git
:: kf5-meta-git: requires frameworkintegration-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kdeclarative-git: requires kio-git
:: plasma-framework-git: requires kdeclarative-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: kross-git: requires kparts-git
:: plasma-framework-git: requires kross-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kde4support-git: requires kio-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kdesignerplugin-git: requires kio-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: kdewebkit-git: requires kparts-git
:: kdesignerplugin-git: requires kdewebkit-git
:: kde4support-git: requires kdesignerplugin-git
:: plasma-framework-git: requires kde4support-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kinit-git: requires kio-git
:: plasma-framework-git: requires kinit-git
:: kf5-meta-git: requires plasma-framework-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: frameworkintegration-git: requires kio-git
:: kde-workspace-git: requires frameworkintegration-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: knotifyconfig-git: requires kio-git
:: kde-workspace-git: requires knotifyconfig-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: kprintutils-git: requires kparts-git
:: kde-workspace-git: requires kprintutils-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: knewstuff-git: requires kio-git
:: kde-workspace-git: requires knewstuff-git
:: kde-workspace-git: requires libdbusmenu-qt5
:: kf5-meta-git: requires kde-workspace-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kde4support-git: requires kio-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kdesignerplugin-git: requires kio-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: kdewebkit-git: requires kparts-git
:: kdesignerplugin-git: requires kdewebkit-git
:: kde4support-git: requires kdesignerplugin-git
:: kde-runtime-git: requires kde4support-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kde-runtime-git: requires kio-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: knewstuff-git: requires kio-git
:: kde-runtime-git: requires knewstuff-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: knotifyconfig-git: requires kio-git
:: kde-runtime-git: requires knotifyconfig-git
:: kf5-meta-git: requires kde-runtime-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: konsole-git: requires kio
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kde4support-git: requires kio-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kdesignerplugin-git: requires kio-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: kdewebkit-git: requires kparts-git
:: kdesignerplugin-git: requires kdewebkit-git
:: kde4support-git: requires kdesignerplugin-git
:: konsole-git: requires kde4support
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: knotifyconfig-git: requires kio-git
:: konsole-git: requires knotifyconfig
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: konsole-git: requires kparts
:: kf5-meta-git: requires konsole-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kdeclarative-git: requires kio-git
:: plasma-framework-git: requires kdeclarative-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: kross-git: requires kparts-git
:: plasma-framework-git: requires kross-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kde4support-git: requires kio-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kdesignerplugin-git: requires kio-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: kdewebkit-git: requires kparts-git
:: kdesignerplugin-git: requires kdewebkit-git
:: kde4support-git: requires kdesignerplugin-git
:: plasma-framework-git: requires kde4support-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kinit-git: requires kio-git
:: plasma-framework-git: requires kinit-git
:: plasma-nm-git: requires plasma-framework-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: frameworkintegration-git: requires kio-git
:: plasma-nm-git: requires frameworkintegration-git
:: kf5-meta-git: requires plasma-nm-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kate-git: requires kio
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: knewstuff-git: requires kio-git
:: kate-git: requires knewstuff
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: kate-git: requires kparts
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: kprintutils-git: requires kparts-git
:: kate-git: requires kprintutils
:: kf5-meta-git: requires kate-git

Offline

#43 2014-01-07 21:11:32

stavallo
Member
Registered: 2010-05-28
Posts: 34

Re: KDE Frameworks 5 packages

dalingrin wrote:
stavallo wrote:
dalingrin wrote:

Probably something on my end but I can only get it to boot to a blue background with a blank panel. It has constant seg faults and kwin is not running.
I started it by setting the environment variables in a script as seen in the OP. Then I created a session for GDM that launches that script.

Please update to the latest build of kf5 packages (note that the meta package is now named kf5-meta-git) and see if the issue is still there.
If so, please try to remove plasma-nm-git and see if the panel appears correctly. If the issue disappears, I will remove plasma-nm-git from among the dependencies of kf5-meta-git

dalingrin wrote:

I do not have [Testing] enabled and I'm using NVIDIA proprietary drivers. This is with stavallo's repo.

That should be fine, as I am building against core/extra

Hmm, trying to install kf5-meta-git from your repo puts me in dependency hell:

resolving dependencies...
:: The following package cannot be upgraded due to unresolvable dependencies:
      kf5-meta-git

:: kf5-meta-git: requires libdbusmenu-qt5
:: knotifications-git: requires libdbusmenu-qt5
:: kf5-meta-git: requires knotifications-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kf5-meta-git: requires kio-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kdeclarative-git: requires kio-git
:: kf5-meta-git: requires kdeclarative-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kinit-git: requires kio-git
:: kf5-meta-git: requires kinit-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kinit-git: requires kio-git
:: kded-git: requires kinit-git
:: kf5-meta-git: requires kded-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: kf5-meta-git: requires kparts-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: kdewebkit-git: requires kparts-git
:: kf5-meta-git: requires kdewebkit-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kdesignerplugin-git: requires kio-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: kdewebkit-git: requires kparts-git
:: kdesignerplugin-git: requires kdewebkit-git
:: kf5-meta-git: requires kdesignerplugin-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: kmediaplayer-git: requires kparts-git
:: kf5-meta-git: requires kmediaplayer-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: kprintutils-git: requires kparts-git
:: kf5-meta-git: requires kprintutils-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: kross-git: requires kparts-git
:: kf5-meta-git: requires kross-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kde4support-git: requires kio-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kdesignerplugin-git: requires kio-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: kdewebkit-git: requires kparts-git
:: kdesignerplugin-git: requires kdewebkit-git
:: kde4support-git: requires kdesignerplugin-git
:: kf5-meta-git: requires kde4support-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kfileaudiopreview-git: requires kio-git
:: kf5-meta-git: requires kfileaudiopreview-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: knewstuff-git: requires kio-git
:: kf5-meta-git: requires knewstuff-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: knotifyconfig-git: requires kio-git
:: kf5-meta-git: requires knotifyconfig-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: frameworkintegration-git: requires kio-git
:: kf5-meta-git: requires frameworkintegration-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kdeclarative-git: requires kio-git
:: plasma-framework-git: requires kdeclarative-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: kross-git: requires kparts-git
:: plasma-framework-git: requires kross-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kde4support-git: requires kio-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kdesignerplugin-git: requires kio-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: kdewebkit-git: requires kparts-git
:: kdesignerplugin-git: requires kdewebkit-git
:: kde4support-git: requires kdesignerplugin-git
:: plasma-framework-git: requires kde4support-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kinit-git: requires kio-git
:: plasma-framework-git: requires kinit-git
:: kf5-meta-git: requires plasma-framework-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: frameworkintegration-git: requires kio-git
:: kde-workspace-git: requires frameworkintegration-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: knotifyconfig-git: requires kio-git
:: kde-workspace-git: requires knotifyconfig-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: kprintutils-git: requires kparts-git
:: kde-workspace-git: requires kprintutils-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: knewstuff-git: requires kio-git
:: kde-workspace-git: requires knewstuff-git
:: kde-workspace-git: requires libdbusmenu-qt5
:: kf5-meta-git: requires kde-workspace-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kde4support-git: requires kio-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kdesignerplugin-git: requires kio-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: kdewebkit-git: requires kparts-git
:: kdesignerplugin-git: requires kdewebkit-git
:: kde4support-git: requires kdesignerplugin-git
:: kde-runtime-git: requires kde4support-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kde-runtime-git: requires kio-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: knewstuff-git: requires kio-git
:: kde-runtime-git: requires knewstuff-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: knotifyconfig-git: requires kio-git
:: kde-runtime-git: requires knotifyconfig-git
:: kf5-meta-git: requires kde-runtime-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: konsole-git: requires kio
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kde4support-git: requires kio-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kdesignerplugin-git: requires kio-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: kdewebkit-git: requires kparts-git
:: kdesignerplugin-git: requires kdewebkit-git
:: kde4support-git: requires kdesignerplugin-git
:: konsole-git: requires kde4support
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: knotifyconfig-git: requires kio-git
:: konsole-git: requires knotifyconfig
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: konsole-git: requires kparts
:: kf5-meta-git: requires konsole-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kdeclarative-git: requires kio-git
:: plasma-framework-git: requires kdeclarative-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: kross-git: requires kparts-git
:: plasma-framework-git: requires kross-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kde4support-git: requires kio-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kdesignerplugin-git: requires kio-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: kdewebkit-git: requires kparts-git
:: kdesignerplugin-git: requires kdewebkit-git
:: kde4support-git: requires kdesignerplugin-git
:: plasma-framework-git: requires kde4support-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kinit-git: requires kio-git
:: plasma-framework-git: requires kinit-git
:: plasma-nm-git: requires plasma-framework-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: frameworkintegration-git: requires kio-git
:: plasma-nm-git: requires frameworkintegration-git
:: kf5-meta-git: requires plasma-nm-git
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kate-git: requires kio
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: knewstuff-git: requires kio-git
:: kate-git: requires knewstuff
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: kate-git: requires kparts
:: knotifications-git: requires libdbusmenu-qt5
:: kio-git: requires knotifications-git
:: kparts-git: requires kio-git
:: kprintutils-git: requires kparts-git
:: kate-git: requires kprintutils
:: kf5-meta-git: requires kate-git

Please try again. It should be fixed now, thanks.

Offline

#44 2014-01-08 03:13:19

eddyw
Member
Registered: 2014-01-08
Posts: 11

Re: KDE Frameworks 5 packages

dalingrin wrote:

Probably something on my end but I can only get it to boot to a blue background with a blank panel. It has constant seg faults and kwin is not running.
I started it by setting the environment variables in a script as seen in the OP. Then I created a session for GDM that launches that script.

I do not have [Testing] enabled and I'm using NVIDIA proprietary drivers. This is with stavallo's repo.

hi, I'm still getting the same problems. I'm also using NVIDIA propietary drivers and stavallo's repo.
As kwin hadn't worked, I also tried to run kf5 with Openbox but it didn't work.

Offline

#45 2014-01-08 18:19:32

philm
Member
From: Germany
Registered: 2013-12-25
Posts: 4
Website

Re: KDE Frameworks 5 packages

I created another repository for i686 and x86_64 architectures. All packages are updated and built against Arch-Stable early this Morning:

[kf5-git]
SigLevel = Optional Optional
Server = http://downloads.sourceforge.net/project/manjarotest/packages/$repo/$arch

Offline

#46 2014-01-08 18:31:20

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 567
Website

Re: KDE Frameworks 5 packages

stavallo wrote:

If you want, I can adopt -git packages

Thanks! Please try to keep them in sync with mine (I'll do the same)

philm wrote:

I created another repository for i686 and x86_64 architectures

Nice, added to first post!

Offline

#47 2014-01-09 23:37:13

sl1pkn07
Member
From: Spanishtán
Registered: 2010-03-30
Posts: 314

Re: KDE Frameworks 5 packages

message from build kde-workspace

http://sl1pkn07.no-ip.com/paste/view/aa8a9f65

this is normal? (the cmake warnings)

edit:

when launch kf5 (see first post)

http://i.imgur.com/nCeikK5.png

and spawn spawn spawn lots of windows....

Last edited by sl1pkn07 (2014-01-10 00:31:13)

Offline

#48 2014-01-17 15:49:56

jaxxed
Member
Registered: 2012-04-21
Posts: 8

Re: KDE Frameworks 5 packages

sl1pkn07 wrote:

message from build kde-workspace

http://sl1pkn07.no-ip.com/paste/view/aa8a9f65

this is normal? (the cmake warnings)

edit:

when launch kf5 (see first post)

http://i.imgur.com/nCeikK5.png

and spawn spawn spawn lots of windows....

I get the same problems as Sl1ll1wknoto

Command Line Runtime Errors: http://pastebin.com/zRyaFhb9
  (last part repeats every 10 seconds)
Exception error report: http://pastebin.com/U0taP1rD
  (pops up in sync with the runtime errors)

Of note:
- I get a network widget, but it is empty (K4 widget still shows network)

- I get a device widget, but it is also empty (K4 widget still behaves)

- there are some errors when loading widgets that look like qt-quick or qml failure:
     Opening  QUrl( "file:///opt/kf5/share/plasma/plasmoids/org.kde.networkmanagement/contents/ui/main.qml" )      <--  this file exists and has qml content
     KCrash: Attempting to start /kded5 from kdeinit

- some errors look like coding issues, maybe are DBUS problems (I think that 'org.kde.Solid.PowerManagement' refers to dbus namespace):
     Opening  QUrl( "file:///opt/kf5/share/plasma/plasmoids/org.kde.plasma.battery/contents/ui/batterymonitor.qml" ) 
     file:///opt/kf5/share/plasma/plasmoids/org.kde.plasma.battery/contents/ui/batterymonitor.qml:39: TypeError: Property 'addEventListener' of object PlasmoidInterface(0x26e7810) is not a function
     Error getting battery remaining time:  "The name org.kde.Solid.PowerManagement was not provided by any .service files"

- these are interesting:
    file:///opt/kf5/share/plasma/shells/org.kde.blank/contents/loader.qml:64: ReferenceError: i18n is not defined

    "Qt Warning - invalid keysym: dead_actute"
    Qt: Session management error: networkIdsList argument is NULL

    file:///opt/kf5/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/code/layout.js:157: TypeError: Type error

I now little about packaging, and am a www dev, so not much help.

My noober analysis says that most likely I have a package-relation problem. 
- Either my DBUS, qtdbus or some kde-dbus packages are out of whak;
- Or my QT5 packages are out of whack.


Which QT5 is supposed to be used, because I think that I have 5.2 running here.

J

Offline

#49 2014-01-17 16:19:11

sl1pkn07
Member
From: Spanishtán
Registered: 2010-03-30
Posts: 314

Re: KDE Frameworks 5 packages

Offline

#50 2014-01-20 10:06:15

stavallo
Member
Registered: 2010-05-28
Posts: 34

Re: KDE Frameworks 5 packages

I try to start a kf5 session from lightdm, but I encounter some errors. If interested, see http://forum.kde.org/viewtopic.php?f=67 … 0&p=300405

How do you launch a kf5 session? From tty or from a kde4 session?

Offline

Board footer

Powered by FluxBB